package com.ruoyi.ss.app.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * APP信息对象 ss_app
 *
 * @author ruoyi
 * @date 2025-01-08
 */
@Data
public class App extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    private Long id;

    @Excel(name = "应用名称")
    @ApiModelProperty("应用名称")
    private String name;

    @Excel(name = "应用类型", readConverterExp = "1=微信小程序,2=支付宝小程序")
    @ApiModelProperty("应用类型")
    private String type;

    @Excel(name = "应用ID")
    @ApiModelProperty("应用ID")
    private String appId;

    @Excel(name = "应用秘钥")
    @ApiModelProperty("应用秘钥")
    private String appSecret;

}
